Subject: [manet] 802.11, MANETs and mesh networks?

From: [email-masked]
Date: Sat, 25 Dec 2004 16:22:53 +0100

Hello to the MANET community and merry XMAS to you all. 

When the holidays will be over, I would like to open a discussion on a subject
that is not 100% related to MANETs but could still interest some of you. 

I assume that 802.11 is the standard that has won the market for wireless LAN
applications. 
Now, in my vision, one of the future developments of  wireless networks in the
close future is the cooperation of MANETs and wireless mesh networks. 
Wireless mesh networks are networks that are essentially composed by mobile and
fixed wireless nodes: the fixed nodes are used to cover a local area. The
benefit of mesh architecture is that if that we add fault and congestion
tolerance by using redudancy of nodes.
In other words, a dense mesh network that runs self-organizing routing protocols
and  self organizing congestion-avoidance protocols, will re-route traffic to
avoid broken links and congested nodes. 
Mesh networks will allow to extend MANETs, because two farway mobile nodes will
be able to connect to each other by using  the mesh network nodes.
In this scenario, two close mobile nodes will connect tdirectly without passing
throuhg any mesh network node.

Now the question is: is  this possible using 802.11 standard? In my opinion the
answer in NO because in 802.11 a device can be EITHER in Ad-hoc OR in
infrastructure mode. To my knowledge, in 802.11 two access points cannot connect
to each other  using wireless connection or at least this is not possible in a
standard configuration. 

Am I right? Am I missing something? for comparison, you could check the MEA
technology by a company named MeshNetworks, recently bought by Motorola
(www.meshnetworks.com).

Thanks for your answers and merry XMAS again§

Claudio 

-------------------------------------------------
This mail sent through Institut Eurecom Webmail: http://webmail.eurecom.fr

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: "Giorgio Mulas" <[email-masked]>
Date: Fri, 31 Dec 2004 09:20:44 +0100

Hi,
Empty office here too ;-)
Thank you for your contribution. I completely agree to your considerations.

Happy new year!

------------------------------------------
Giorgio Mulas | Researcher

CEFRIEL  Politecnico di Milano
Via Fucini, 2 · 20133 Milano (Italy)

p. +39 02 23954 265
f. +39 02 23954 465
e. [email-masked]

> -----Original Message-----
> From: Lusheng Ji [mailto:[email-masked]] 
> Sent: giovedì 30 dicembre 2004 17.25
> To: [email-masked]; Giorgio Mulas
> Cc: [email-masked]
> Subject: RE: [manet] 802.11, MANETs and mesh networks?
> 
> 
> Greetings!
> 
> Sorry for jumping in.  On this day before the New Year 
> holiday, sitting in an empty office, I find your topic quite 
> interesting ;)  So here is my 2 cents to stir up the 
> discussion a little more.
> 
> A point of access does not have to be an "AP".  Set up a node 
> bridging between an Ethernet interface and an ad hoc mode 
> 802.11 interface, you have yourself a point of access (to 
> Ethernet DS) too. 
> 
> In typical MANET/Mesh scenarios, there is really not much 
> incentive of using the additional functions of 802.11 AP.  
> The whole network has to be on the same channel and using the 
> same basic transmission rates anyway.  Regarding functions 
> such as authentication and security, well, my impression is 
> that MANET/Mesh is not there yet to talk about these, 
> especially if you are thinking about 11i.  Association is a 
> double edged sword, which we may not want in MANET/Mesh 
> either.  Beacons?  Well they are good but MANET nodes 
> typically do their own hellos and gateway advertisements 
> anyway.  After stripping off these extraneous functions, what 
> is left in an AP that we really need for typical MANET/Mesh 
> scenarios?  Actually not much different from what any other 
> ad hoc mode nodes have.  Then why not just putting up another 
> ad hoc node and stabbing a RJ45 plug into its back and using 
> it as the point of access?
> 
> Okay what if you want real APs, not faked ones?  There are a 
> couple of options too. 
> 
> Among the more recent AP products, many of them support 
> something called the "wireless distribution system", or WDS.  
> WDS enables APs to talk to each other over wireless directly. 
>  It also enables layer 2 forwarding in an 802.11 mesh because 
> WDS frames use 4 MAC addresses not 3.  The additional MAC 
> address could be used to preserve the original source 
> identity.  You might want to look into that.  It's been in 
> the standard but had not been implemented until recently.  An 
> AP can use the same physical interface to do its AP things 
> and WDS things.  The catch is: while this solves some 
> problems, it may open another can of worms.  In this type of 
> deployments, the APs need to be deployed very densely since 
> they need to be in range with each other.  Assuming they do 
> not do super communication among themselves, the AP density 
> needs to be roughly 4 times (if you use square to model the 
> shape of each cell) of a WLAN type of deployment (without 
> inter-AP wireless
> communication) covering the same area.  The added costs, more 
> frequent mobile client handoffs....
> 
> Well, at last, if you really really want an all around all 
> time "WDS+adhoc+DCF/PCF" super power AP, seems that you would 
> have to make you own.  Fortunately as far as I can see, the 
> differences between what you need and what current APs offer 
> pretty much are all above firmware level.  So you could play 
> with an open source kernel/user space AP implementation such 
> as the hostapd to tailor it towards your purpose.  Efficient 
> or not is another issue, but it is def. out of scope for this 
> thread :)
> 
> Hope the above helps a little.  
> Oh and, happy New Year!
> 
> Regards,
> 
> Lusheng Ji, Ph.D.
> Senior Technical Specialist
> AT&T Labs Research
> 180 Park Ave.,
> Florham Park, NJ 07932, USA
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of [email-masked]
> Sent: Thursday, December 30, 2004 5:07 AM
> To: Giorgio Mulas
> Cc: [email-masked]; [email-masked]
> Subject: RE: [manet] 802.11, MANETs and mesh networks?
> 
> Ciao Giorgio e Buon anno...
> 
> OK, of course I agree 100% with you about the fact that the 
> advances that derive from mesh networking are usable 
> regardless of the wireless technology on the top of it.
> 
> And of course I agree on the fact that 802.11 was not born 
> for that purpose and that advantages exceed disadvantages at 
> the moment.
> 
> So more or less I agree on anything and I will read the IEEE 
> papers you suggest.
> 
> My question was a little bit more oriented to today real 
> life. I could restate it as follows:
> 
> If today I want to deploy a mesh network topology for 
> veichular applications using 802.11 as a wireless technology, 
> could I do that in  a cost and performances  effective way? 
> Is it true that such an architecture would need that all the 
> access points have two interfaces, one to be used for 
> connections from mobile nodes and the second one to route the 
> traffic toward other access points of the mesh? Is there any 
> way, today and with 802.11, to make so that a mobile node 
> cannot connect directly to another mobile node (in ad-hoc 
> mode) or to an access point without changing any configuration?
> 
> Ciao
> 
> Claudio
> 
> Claudio
> 
> 
> 
> Quoting Giorgio Mulas <[email-masked]>:
> 
> > Hi Claudio, hi all, and happy xmas holidays,
> > 
> > I agree with you when you depict a 
> meshnetworking/ubiquitous computing 
> > future, but I have some considerations about the second 
> part of your 
> > intervention.
> > 
> > First of all, I think that ad hoc networking refers mainly 
> to layer 3 
> > (not considering cross-layering issues that are layer 1/2 
> technology 
> > specific). This implies that a MANET could be built for example on 
> > Bluetooth or
> Zigbee
> > technology if you need only some kilo Bytes or on WiMax if you need 
> > more bandwidth, not just on WiFi. In all these cases layer 3 issues 
> > remains
> > *roughly* the same.  
> > 
> > Second, in what I call a Lego-like approach you try to 
> adapt existing
> mature
> > (except WiMax of course) technologies, that are optimized for a 
> > certain
> type
> > of architecture, to the ad hoc, and specifically MANET, 
> architecture. 
> > The main advantage of this approach is that products are already 
> > available and "easy to use", but the disadvantage is that 
> you undergo 
> > several
> trade-offs.
> > In this sense there is no MANET technology.
> > 
> > Related to the second consideration, in the short term advantages 
> > exceed disadvantages and then some task or working groups arise in 
> > order to
> "patch"
> > existing technologies, while R&D centers study on a true MANET 
> > technology.
> > 
> > About your last consideration about the use of 802.11 as underlying 
> > technology for MANETs, I suggest you to check the following PARs @ 
> > http://www.ieee802.org/11/PARs/
> > 
> > - 802.11p TGp - Amendment to the current 802.11 Standard to provide
> Wireless
> > Access for Vehicular Environments
> > - 802.11r TGr - Amendment to the current 802.11 Standard to 
> provide Fast
> BSS
> > - Transition
> > - 802.11s TGs - Amendment to the current 802.11 Standard to provide
> Extended
> > Service Set Mesh Networking
> > - 802.11u TGu - Amendment to the current 802.11 Standard to provide
> > Interworking with External Networks 
> > 
> > That are related to adding mesh networking capabilities to 802.11.
> > 
> > Hope this has been useful
> > 
> > Best regards
> > 
> > 	Giorgio
> > 
> > 
> > ------------------------------------------
> > Giorgio Mulas | Researcher
> > 
> > CEFRIEL  Politecnico di Milano
> > Via Fucini, 2 · 20133 Milano (Italy)
> > 
> > p. +39 02 23954 265
> > f. +39 02 23954 465
> > e. [email-masked]
> > 
> > 
> > 
> > 
> > 
> > > 
> > > 
> > > When the holidays will be over, I would like to open a
> > > discussion on a subject that is not 100% related to MANETs 
> > > but could still interest some of you. 
> > > 
> > > I assume that 802.11 is the standard that has won the market
> > > for wireless LAN applications. 
> > > Now, in my vision, one of the future developments of  
> > > wireless networks in the close future is the cooperation of 
> > > MANETs and wireless mesh networks. 
> > > Wireless mesh networks are networks that are essentially 
> > > composed by mobile and fixed wireless nodes: the fixed nodes 
> > > are used to cover a local area. The benefit of mesh 
> > > architecture is that if that we add fault and congestion 
> > > tolerance by using redudancy of nodes. In other words, a 
> > > dense mesh network that runs self-organizing routing 
> > > protocols and  self organizing congestion-avoidance 
> > > protocols, will re-route traffic to avoid broken links and 
> > > congested nodes. 
> > > Mesh networks will allow to extend MANETs, because two farway 
> > > mobile nodes will be able to connect to each other by using  
> > > the mesh network nodes. In this scenario, two close mobile 
> > > nodes will connect tdirectly without passing throuhg any mesh 
> > > network node.
> > > 
> > > Now the question is: is  this possible using 802.11 standard?
> > > In my opinion the answer in NO because in 802.11 a device can 
> > > be EITHER in Ad-hoc OR in infrastructure mode. To my 
> > > knowledge, in 802.11 two access points cannot connect to each 
> > > other  using wireless connection or at least this is not 
> > > possible in a standard configuration. 
> > > 
> > > Am I right? Am I missing something? for comparison, you could
> > > check the MEA technology by a company named MeshNetworks, 
> > > recently bought by Motorola (www.meshnetworks.com).
> > >